e-Próspera
Reference

List submitted tax filings

View as Markdown
GET
/api/v1/me/tax/filings

Authorization

AuthorizationBearer <token>

In: header

Scope: eprospera:person.tax.read

Query Parameters

subject?|
type?string

Value in

  • "income"
  • "vat"
year?integer
Range2020 <= value <= 9999
limit?integer
Range1 <= value <= 100
cursor?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/me/tax/filings"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "subject": {        "type": "natural_person",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "residentPermitNumber": "string"      },      "type": "income",      "period": {        "year": 0,        "quarter": 1      },      "submittedAt": "2019-08-24T14:15:22Z",      "amended": true,      "currency": "usd",      "accountingMethod": "string",      "reported": {        "grossIncome": "string",        "taxCredit": "string",        "taxWithheld": "string"      },      "usdEquivalent": {        "grossIncome": "string",        "taxCredit": "string",        "taxWithheld": "string"      },      "taxLiability": "string",      "exchangeRate": {        "btcUsdRate": "string",        "capturedAt": "2019-08-24T14:15:22Z",        "source": "string"      },      "invoice": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "status": "string"      },      "availableDocuments": [        "assessment"      ]    }  ],  "meta": {    "nextCursor": "string"  }}